trustFrameworkKeySet: uploadCertificate
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Upload a certificate to a trustFrameworkKeyset. The input is a base-64 encoded value of the certificate contents. This method returns trustFrameworkKey.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | TrustFrameworkKeySet.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | TrustFrameworkKeySet.ReadWrite.All |
HTTP request
POST /trustFramework/keySets/{id}/uploadCertificate
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-type | application/json. Required. |
Request body
In the request body, provide a JSON object with the following parameters.
| Parameter | Type | Description |
|---|---|---|
| key | String | This is the field for sending certificate content. The value should be a base-64 encoded version of the actual certificate content. |
Response
If successful, this method returns a 200 OK response code and a new trustFrameworkKey object in the response body.
Examples
Request
The following is an example of the request.
POST https://graph.microsoft.com/beta/trustFramework/keySets/{id}/uploadCertificate
Content-type: application/json
{
"key": "key-value"
}
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"kid": "kid-value",
"use": "sig",
"kty": "oct",
"nbf": 1508969811,
"exp": 1508973711
}
Saran dan Komentar
Kirim dan lihat umpan balik untuk